# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "pulsedeck"
version = "0.1.8"
build = false
exclude = [
    "recordings/",
    "library.json",
    ".gitignore",
    "*.orig",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A cyber-synthwave internet radio player and smart tape recorder for your terminal"
homepage = "https://github.com/milgaj84/pulsedeck"
readme = "README.md"
keywords = [
    "radio",
    "tui",
    "music",
    "streaming",
    "catppuccin",
]
categories = [
    "command-line-utilities",
    "multimedia::audio",
]
license = "MIT"
repository = "https://github.com/milgaj84/pulsedeck"

[[bin]]
name = "pulsedeck"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.cpal]
version = "0.15"

[dependencies.crossterm]
version = "0.29"
features = ["event-stream"]

[dependencies.dirs]
version = "6"

[dependencies.id3]
version = "1"

[dependencies.libc]
version = "0.2"

[dependencies.notify-rust]
version = "4"

[dependencies.ratatui]
version = "0.30"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "blocking",
]

[dependencies.rodio]
version = "0.20"
features = ["symphonia-all"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = ["full"]

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
strip = true
